<?xml version="1.0" encoding="UTF-8"?>
<Window mininfo="800,495" maxinfo="999999,999999" sizebox="0,0,0,0" caption="0,0,999999,26" bottomRightSizeBox="12,12">
	<RootBox name="RootBox" pad="1,1,1,1" space="1" border_width="0.5" fill_normal="window_fill" border_normal="window_border">
		<!--Title Bar-->
		<HBox height="28" pad="5,2,5,2" space="48" border_normal="titlebar_border" fill_normal="titlebar_fill">
			<HListBox width="stretch" height="24" space="16" >
				<LabelListItem class="page_tabitem" text="SounDevil" text_pad="26,2,6,2"  image_normal="file='images\App.svg' class='image_18_24'"/>
				<LabelListItem class="page_tabitem" text_id="Music"/>
				<LabelListItem class="page_tabitem" text_id="Playback"/>
				<LabelListItem class="page_tabitem" text_id="Engine"/>
				<LabelListItem class="page_tabitem" text_id="Config"/>
			</HListBox>
			<HBox width="auto" height="24" space="24" >
				<Button class="recolor_button" name="MinimizeWindowButton" tooltip_id="Minimize" image_normal="file='images\Minimize.svg' class='image_16_24'"/>
				<Button class="recolor_button" name="MaximizeWindowButton" tooltip_id="Maximize" image_normal="file='images\Maximize.svg' class='image_16_24'"/>
				<Button class="recolor_button" name="RestoreDownWindowButton" visible="false" tooltip_id="Restore" image_normal="file='images\Restore.svg' class='image_16_24'"/>
				<Button class="recolor_button" name="CloseWindowButton" tooltip_id="Close" image_normal="file='images\Close.svg' class='image_16_24'"/>
			</HBox>
		</HBox>
		<!--Pages-->
		<TabBox pad="5,1,5,1" space="12">
			<AboutPage />
			<LibraryPage />
			<!--Playback Page-->
			<HBox>
				<TabBox name="PlaybackTabBox">
					<!--Home-->
					<VBox space="-20">
						<HBox pad="32,32,32,32" space="12">
							<!--Artwork-->
							<VBox space="4">
								<ArtworkView name="DetailsArtwork" halign="center" valign="center" width="stretch" height="stretch" default_image=""/>
								<HBox height="24" visible="false">
									<HBox name="ArtworkToolbar" float="true" halign="center" height="24" width="auto" space="24">
										<Button class="recolor_button" name="ArtworkPlay" visible="false" tooltip_id="Play" image_normal="file='images\PlaySlim.svg' class='image_18_24'"/>
										<Button class="recolor_button" name="ArtworkPause" visible="false" tooltip_id="Pause" image_normal="file='images\Pause.svg' class='image_18_24'"/>
										<Button class="recolor_button" name="ArtworkPrevious" tooltip_id="Previous" image_normal="file='images\Previous.svg' class='image_18_24'"/>
										<Button class="recolor_button" name="ArtworkNext" tooltip_id="Next" image_normal="file='images\Next.svg' class='image_18_24'"/>
										<HBox space="2" width="auto">
											<Label class="label" name="ArtworkIndex" width="auto" font="3"/>
											<Label class="label" text="/" width="auto" font="3"/>
											<Label class="label" name="ArtworksCount" width="auto" font="3"/>
										</HBox>
									</HBox>
								</HBox>
							</VBox>
							<!--Lyrics-->
							<VBox space="24">
								<VBox name="DetailsTagsBox" height="auto" valign="center" space="12">
									<Label class="label" name="DetailsTitle" height="32" width="stretch" text_halign="center" font="5" />
									<Label class="label" name="DetailsArtist" height="20" width="stretch" text_halign="center"/>
									<Label class="label" name="DetailsAlbum" height="20" width="stretch" text_halign="center"/>
								</VBox>
								<LyricsShow name="DetailsLyricsShow" width="stretch" height="stretch" lyrics_color1="lyrics_color1" lyrics_color2="lyrics_color2"/>
							</VBox>
						</HBox>
						<!--MiniVisualization-->
						<MiniSpectrum />
					</VBox>
					<!--Visualization-->
					<VBox pad="2,32,2,2" space="12">
						<Label class="label" width="auto" text_id="UNDER CONSTRUCTION" height="auto" text_single_line="false"/>
					</VBox>
				</TabBox>
				<!--Page Tab-->
				<TabBox visible="false" float="true" halign="left" valign="top" width="auto" height="24">
					<Button class="recolor_button" image_normal="file='images\More.svg' class='image_18_24'"/>
					<HBox width="auto" space="10">
						<Button class="recolor_button" tooltip_id="Home" image_normal="file='images\Home.svg' class='image_18_24'"/>
						<Button class="recolor_button" tooltip_id="Visualization" image_normal="file='images\Visualization.svg' class='image_18_24'"/>
					</HBox>
				</TabBox>
			</HBox>
			<EnginePage />
			<!--Configure Page-->
			<HBox class="page_box" name="ConfigureBox">
				<ListBox class="listbox" width="128">
					<LabelListItem class="navigate_listitem" text_id="Display"/>
					<LabelListItem class="navigate_listitem" text_id="Color" visible="false"/>
				</ListBox>		
				<TabBox pad="0,4,0,4">
					<!--Display-->
					<VScrollableBox space="24">
						<!--Language-->
						<VBox class="section_box">
							<Label class="section_label" text_id="Language"/>
							<Combo class="text_combo" label="visible='false' text_id=''" button="width=&quot;200&quot;" list="width=&quot;200&quot;">
								<LabelListItem class="combo_listitem" text_id="System Language"/>
								<LabelListItem class="combo_listitem" text="English" text_id="en-US"/>
								<LabelListItem class="combo_listitem" text="简体中文" text_id="zh-CN"/>
								<!--<LabelListItem class="combo_listitem" text="繁體中文" text_id="zh-TW"/>-->
							</Combo>
						</VBox>
						<!--Scale-->
						<VBox class="section_box">
							<Label class="section_label" text_id="Scale"/>
							<HBox visible="false" height="22" space="10" >
								<Label class="label" width="120" text_id="Combined Scale" mouse="true" tooltip_id="Equal to the product of screen scale and application scale"/>
								<Label class="label" width="auto" />
							</HBox>
							<HBox height="22" space="40" >
								<HBox width="auto" space="10" >
									<Label class="label" width="120" text_id="Screen Scale"/>
									<Label class="label" width="auto" />
								</HBox>
								<CheckBox class="checkbox" text_id="Screen DPI Aware" selected="true"/>
							</HBox>
							<Combo class="text_combo" label="text_id='Application Scale' width='120'" button="width='64'" list="width='64'">
								<LabelListItem class="combo_listitem" text="75%"/>
								<LabelListItem class="combo_listitem" text="80%"/>
								<LabelListItem class="combo_listitem" text="90%"/>
								<LabelListItem class="combo_listitem" text="100%"/>
								<LabelListItem class="combo_listitem" text="110%"/>
								<LabelListItem class="combo_listitem" text="125%"/>
								<LabelListItem class="combo_listitem" text="150%"/>
								<LabelListItem class="combo_listitem" text="175%"/>
								<LabelListItem class="combo_listitem" text="200%"/>
								<LabelListItem class="combo_listitem" text="250%"/>
								<LabelListItem class="combo_listitem" text="300%"/>
								<LabelListItem class="combo_listitem" text="400%"/>
								<LabelListItem class="combo_listitem" text="500%"/>
								<!--
									<LabelListItem class="combo_listitem" text="600"/>
									<LabelListItem class="combo_listitem" text="800"/>
									<LabelListItem class="combo_listitem" text="1000"/>
									-->
							</Combo>
						</VBox>
						<!--Refresh Rate-->
						<VBox class="section_box">
							<Label class="section_label" text_id="Refresh Rate"/>
							<Combo class="text_combo" label="visible='false' text_id=''" button="width=&quot;64&quot;" list="width=&quot;64&quot;">
								<LabelListItem class="combo_listitem" text="100%"/>
								<LabelListItem class="combo_listitem" text="50%"/>
								<LabelListItem class="combo_listitem" text="33%"/>
								<LabelListItem class="combo_listitem" text="25%"/>
							</Combo>
						</VBox>
						<!--BackgoundImage-->
						<VBox class="section_box">
							<Label class="section_label" text_id="Backgroud Image"/>
							<HBox height="22" space="10">
								<Label class="label" visible="false" width="auto" text_id="Backgroud Image" height="22"/>
								<Button class="text_button" text_id="Select File"/>
								<Button class="text_button" text_id="Empty"/>
								<FilePathEdit class="edit" width="300"/>
							</HBox>
							<HBox height="24" space="10">
								<Label class="label" width="auto" text_id="Blur"/>
								<Slider class="slider" notify_drag="true" width="100" min="0" max="100" step="1"/>
								<Label class="label" width="auto" text_id="Darkness"/>
								<Slider class="slider" notify_drag="true" width="100" min="0" max="1" step="0.01"/>
								<Label class="label" width="auto" text_id="Brightness"/>
								<Slider class="slider" notify_drag="true" width="100" min="0" max="1" step="0.01"/>
							</HBox>
							<CheckBox class="checkbox" text_id="Use Artwork as Background" selected="true" height="22"/>
							<HBox height="24" space="10">
								<Label class="label" width="auto" text_id="Blur"/>
								<Slider class="slider" notify_drag="true" width="100" min="0" max="100" step="1"/>
								<Label class="label" width="auto" text_id="Darkness"/>
								<Slider class="slider" notify_drag="true" width="100" min="0" max="1" step="0.01"/>
								<Label class="label" width="auto" text_id="Brightness"/>
								<Slider class="slider" notify_drag="true" width="100" min="0" max="1" step="0.01"/>
							</HBox>
						</VBox>
					</VScrollableBox>
					<!--Color-->
					<VScrollableBox space="24">
						<!--Scheme-->
						<VBox class="section_box">
							<Label class="section_label" text_id="Scheme"/>
							<Combo class="text_combo" label="visible='false' text_id=''" button="width=&quot;200&quot;" list="width=&quot;200&quot;">
								<LabelListItem class="combo_listitem" text_id="Crystal"/>
							</Combo>
						</VBox>
					</VScrollableBox>
				</TabBox>
			</HBox>
		</TabBox>
		<!--Control Bar-->
		<HBox height="38" width="stretch" pad="5,1,5,1" space="24" border_normal="control_bar_border" fill_normal="control_bar_fill">
			<HBox width="auto" pad="0,6,0,6" space="12">
				<Button class="recolor_button" name="PlaybackStop" tooltip_id="Stop" image_normal="file='images\PlaybackStop.svg' class='image_16_24'"/>
				<Button class="recolor_button" name="PlaybackPrevious" tooltip_id="Previous" image_normal="file='images\PlaybackPrevious.svg' class='image_16_24'"/>
				<Button class="recolor_button" name="PlaybackPlay" tooltip_id="Play" image_normal="file='images\PlaybackPlay.svg' size='24,24' dest='0,0,24,24'"/>
				<Button class="recolor_button" name="PlaybackPause" visible="false" tooltip_id="Pause" image_normal="file='images\PlaybackPause.svg' size='24,24' dest='0,0,24,24'"/>
				<Button class="recolor_button" name="PlaybackNext" tooltip_id="Next" image_normal="file='images\PlaybackNext.svg' class='image_16_24'"/>
				<IconCombo class="icon_combo">
					<LabelListItem class="icon_combo_listitem" tooltip_id="Order" image_normal="file='images\Order.svg' class='image_16_24'"/>
					<LabelListItem class="icon_combo_listitem" tooltip_id="Random" image_normal="file='images\Random.svg' class='image_16_24'"/>
					<LabelListItem class="icon_combo_listitem" tooltip_id="Repeat Playlist" image_normal="file='images\RepeatPlaylist.svg' class='image_16_24'"/>
					<LabelListItem class="icon_combo_listitem" tooltip_id="Repeat Track" image_normal="file='images\RepeatTrack.svg' class='image_16_24'"/>
					<LabelListItem class="icon_combo_listitem" tooltip_id="Stop After Track" image_normal="file='images\StopAfterTrack.svg' class='image_16_24'"/>
				</IconCombo>
			</HBox>
			<VBox pad="0,7,0,0" space="1">
				<HBox height="16" space="8">
					<Label class="label" width="stretch" text_id="No track selected, only The Sound of Silence" text_halign="center" text_end_ellipsis="false" mouse="true"/>
					<HBox visible="false" width="auto" space="2" >
						<Label class="label" tooltip_id="Position" width="auto" width_min="40" text_halign="right"/>
						<Label class="label" tooltip_id="Duration" width="auto"/>
					</HBox>
				</HBox>
				<Slider name="PlaybackPositionSlider" enabled="false" notify_drag="true" width="stretch" height="12" border_round="1,1" pad="0,4,0,6" thumb_size="0,0" thumb_round="5,5" cursor="hand" background="slider_background" fill_normal="slider_progress_normal" fill_hot="theme" fill_pushed="theme" fill_disabled="null"/>
			</VBox>
			<HBox width="auto" pad="0,6,6,6" space="8">
				<CheckBox class="recolor_button" tooltip_id="Mute" selected="false" image_normal="file='images\Speaker.svg' class='image_16_24'" image_selected_normal="file='images\Mute.svg' class='image_16_24' recolor='icon_warning'"/>
				<Slider class="slider" notify_drag="true" width="100" />
				<Label class="popup_tip" width="80"/>
			</HBox>
		</HBox>
	</RootBox>
</Window>